OptimizationEnum (cpptasks 1.0b5 API)
Keywords: net.sf.antcontrib.cpptasks.OptimizationEnum class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.cpptasks
Class OptimizationEnum

    java.lang.Object
      org.apache.tools.ant.types.EnumeratedAttribute
          net.sf.antcontrib.cpptasks.OptimizationEnum

    public final class OptimizationEnum

extends org.apache.tools.ant.types.EnumeratedAttribute

Enumeration of optimization levels (experimental).

Author:
  Curt Arnold

Field Summary

Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`value`

Constructor Summary
`OptimizationEnum()` Constructor.

Method Summary
`java.lang.String[]` | `getValues()` Gets list of acceptable values.
`boolean` | `isNoOptimization()` Is no optimization performed.
`boolean` | `isSize()` Is size optimized.
`boolean` | `isSpeed()` Is speed optimized.

Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`containsValue, getIndex, getValue, indexOfValue, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OptimizationEnum

    public OptimizationEnum()

  Constructor. Set by default to "speed"

  See Also:
    `Object.Object()`

Method Detail

### getValues

    public java.lang.String[] getValues()

  Gets list of acceptable values.

  Specified by:
    `getValues` in class `org.apache.tools.ant.types.EnumeratedAttribute`
  See Also:
    `EnumeratedAttribute.getValues()`

### isSize

    public boolean isSize()

  Is size optimized.

  Returns:
    boolean true if size is optimized.

### isSpeed

    public boolean isSpeed()

  Is speed optimized.

  Returns:
    boolean true if speed is optimized.

### isNoOptimization

    public boolean isNoOptimization()

  Is no optimization performed.

  Returns:
    boolean true if no optimization is performed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Ant-Contrib Project. All Rights Reserved.